create_text_model🔗
Short description🔗
create_text_model — Create a text model.
Warning🔗
create_text_model is obsolete and is only provided for reasons
of backward compatibility. New applications should use
create_text_model_reader instead.
Signature🔗
create_text_model( out text_model TextModel )
Description🔗
create_text_model creates a new TextModel which
describes the text to be segmented by find_text.
Set and query Parameters of TextModel via
set_text_model_param and get_text_model_param.
Calls of create_text_model are equivalent to (and should be
replaced by) calls of create_text_model_reader with Mode
set to 'manual'.
Execution information🔗
Execution information
-
Multithreading type: reentrant (runs in parallel with non-exclusive operators).
-
Multithreading scope: global (may be called from any thread).
-
Processed without parallelization.
This operator returns a handle. Note that the state of an instance of this handle type may be changed by specific operators even though the handle is used as an input parameter by those operators.
Parameters🔗
TextModel (output_control) text_model → (handle)
New text model.
Result🔗
create_text_model returns the value 2 (H_MSG_TRUE).
Module🔗
OCR/OCV